> ## Documentation Index
> Fetch the complete documentation index at: https://docs.costory.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an alert template



## OpenAPI

````yaml /api-reference/openapi.json get /alerts-v2/templates/{templateId}
openapi: 3.0.0
info:
  title: Costory
  version: '1.0'
  description: API Documentation
servers:
  - url: ''
    description: Production server
security: []
paths:
  /alerts-v2/templates/{templateId}:
    get:
      tags:
        - Alerts V2
      summary: Get an alert template
      operationId: getAlertTemplateV2
      parameters:
        - schema:
            type: string
            enum:
              - weekly-costs-threshold
              - unused-reservation-cost
              - kubernetes-waste
              - aws-savings-plan-coverage
              - marginal-cost
              - rd-weekend-cost
              - egress-costs
              - untagged-resources
              - rolling-7d-relative-change
              - service-7d-cost-increase
          required: true
          name: templateId
          in: path
      responses:
        '200':
          description: Template configuration, or null when unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AlertTemplateResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorized'
      security:
        - bearerAuth: []
components:
  schemas:
    AlertTemplateResponse:
      type: object
      nullable: true
      properties:
        id:
          type: string
          enum:
            - weekly-costs-threshold
            - unused-reservation-cost
            - kubernetes-waste
            - aws-savings-plan-coverage
            - marginal-cost
            - rd-weekend-cost
            - egress-costs
            - untagged-resources
            - rolling-7d-relative-change
            - service-7d-cost-increase
        name:
          type: string
        description:
          type: string
        type:
          type: string
          enum:
            - COST
            - BUDGET
        icon:
          type: string
        available:
          type: boolean
        unavailableReason:
          type: string
          enum:
            - MISSING_DATASOURCE
            - MISSING_METRIC
            - FEATURE_NOT_AVAILABLE
            - MISSING_LABEL
        unavailableTooltip:
          type: string
        config:
          type: object
          properties:
            alertForm:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                currency:
                  type: string
                  enum:
                    - USD
                    - EUR
                    - GBP
                    - CNY
                thresholds:
                  type: array
                  items:
                    type: object
                    properties:
                      value:
                        type: number
                      severityLevel:
                        type: string
                        enum:
                          - INFO
                          - WARNING
                          - RED
                      metricMode:
                        type: string
                        nullable: true
                        enum:
                          - ABSOLUTE_SPEND
                          - PERIOD_OVER_PERIOD_CHANGE
                          - null
                      changeBasis:
                        type: string
                        nullable: true
                        enum:
                          - ABSOLUTE_DELTA
                          - PERCENT_CHANGE
                          - null
                    required:
                      - value
                      - severityLevel
                  default: []
                queryName:
                  type: string
                  default: ''
                evaluationPeriod:
                  type: string
                  enum:
                    - DAILY
                    - WEEKLY
                    - MONTHLY
                  default: DAILY
                thresholdType:
                  type: string
                  enum:
                    - ABOVE
                    - UNDER
                  default: ABOVE
                description:
                  type: string
                  default: ''
                tagIds:
                  type: array
                  items:
                    anyOf:
                      - type: string
                      - type: object
                        properties:
                          name:
                            type: string
                            minLength: 1
                          color:
                            type: string
                            minLength: 1
                        required:
                          - name
                          - color
                  default: []
                scopeId:
                  type: string
                  nullable: true
                condition:
                  type: string
                  nullable: true
                dedup:
                  oneOf:
                    - type: object
                      properties:
                        kind:
                          type: string
                          enum:
                            - CALENDAR
                        calendarUnit:
                          type: string
                          enum:
                            - WEEK
                            - MONTH
                      required:
                        - kind
                        - calendarUnit
                    - type: object
                      properties:
                        kind:
                          type: string
                          enum:
                            - ROLLING
                        windowDays:
                          type: integer
                          minimum: 0
                          exclusiveMinimum: true
                      required:
                        - kind
                        - windowDays
                    - nullable: true
                      type: string
                      enum:
                        - null
              required:
                - name
                - currency
            explorerRequest:
              type: object
              properties:
                period:
                  type: object
                  properties:
                    startDate:
                      type: string
                      nullable: true
                      format: date-time
                    endDate:
                      type: string
                      nullable: true
                      format: date-time
                    datePreset:
                      type: string
                      nullable: true
                      enum:
                        - TRAILING_90_DAYS
                        - TRAILING_30_DAYS
                        - TRAILING_45_DAYS
                        - TRAILING_7_DAYS
                        - TRAILING_3_DAYS
                        - TRAILING_14_WEEKS
                        - MTD
                        - QTD
                        - YTD
                        - LAST_WEEK
                        - LAST_MONTH
                        - LAST_6_MONTHS
                        - LAST_12_MONTHS
                        - LAST_4_YEARS
                        - LAST_3_MONTHS
                        - LAST_INVOICE_MONTH
                        - null
                    aggBy:
                      type: string
                      enum:
                        - Hour
                        - Day
                        - Week
                        - Month
                        - Period
                    forecastDays:
                      type: integer
                      minimum: 0
                    comparisonPeriod:
                      type: object
                      properties:
                        startDate:
                          type: string
                          nullable: true
                          format: date-time
                        endDate:
                          type: string
                          nullable: true
                          format: date-time
                        enabled:
                          type: boolean
                        chartType:
                          type: string
                          enum:
                            - WATERFALL
                            - TABLE
                            - KPI_BREAKDOWN
                      required:
                        - startDate
                        - endDate
                        - enabled
                        - chartType
                  required:
                    - aggBy
                queries:
                  type: array
                  items:
                    oneOf:
                      - type: object
                        properties:
                          type:
                            type: string
                            enum:
                              - condition
                          expression:
                            type: string
                            minLength: 1
                          name:
                            type: string
                          alias:
                            type: string
                            minLength: 1
                            maxLength: 50
                          visible:
                            type: boolean
                            default: true
                          colorIndex:
                            type: number
                          chartType:
                            type: string
                            enum:
                              - BAR
                              - LINE
                              - AREA
                              - WATERFALL
                              - TABLE
                        required:
                          - type
                          - expression
                          - name
                          - colorIndex
                          - chartType
                      - type: object
                        properties:
                          type:
                            type: string
                            enum:
                              - formula
                          formula:
                            type: string
                          name:
                            type: string
                          alias:
                            type: string
                            minLength: 1
                            maxLength: 50
                          visible:
                            type: boolean
                            default: true
                          colorIndex:
                            type: number
                          chartType:
                            type: string
                            enum:
                              - BAR
                              - LINE
                              - AREA
                              - WATERFALL
                              - TABLE
                          rollingAggregation:
                            type: object
                            properties:
                              aggregator:
                                type: string
                                enum:
                                  - SUM
                                  - AVG
                                  - MAX
                                  - MIN
                              window:
                                type: object
                                properties:
                                  preset:
                                    type: string
                                    enum:
                                      - MONTH
                                      - WEEK
                                  relativeDays:
                                    type: integer
                                    minimum: 1
                            required:
                              - aggregator
                              - window
                          shiftAmount:
                            type: integer
                          shiftUnit:
                            type: string
                            enum:
                              - DAY
                              - WEEK
                              - MONTH
                        required:
                          - type
                          - formula
                          - name
                          - colorIndex
                          - chartType
                      - type: object
                        properties:
                          type:
                            type: string
                            enum:
                              - metric
                          metricId:
                            type: string
                          rawMetric:
                            type: string
                          groupBy:
                            anyOf:
                              - type: string
                              - type: array
                                items:
                                  type: string
                                  minLength: 1
                              - nullable: true
                                type: string
                                enum:
                                  - null
                          unitOverride:
                            type: string
                          aggregator:
                            type: string
                            enum:
                              - SUM
                              - AVG
                              - MAX
                              - MIN
                          reducer:
                            type: string
                            enum:
                              - SUM
                              - AVG
                              - MAX
                              - MIN
                          name:
                            type: string
                          alias:
                            type: string
                            minLength: 1
                            maxLength: 50
                          visible:
                            type: boolean
                            default: true
                          colorIndex:
                            type: number
                          chartType:
                            type: string
                            enum:
                              - BAR
                              - LINE
                              - AREA
                              - WATERFALL
                              - TABLE
                          colorPalette:
                            type: string
                            enum:
                              - DEFAULT
                              - PIYG
                              - RDYLBU
                              - CLASSIC
                            default: DEFAULT
                          rollingAggregation:
                            type: object
                            properties:
                              aggregator:
                                type: string
                                enum:
                                  - SUM
                                  - AVG
                                  - MAX
                                  - MIN
                              window:
                                type: object
                                properties:
                                  preset:
                                    type: string
                                    enum:
                                      - MONTH
                                      - WEEK
                                  relativeDays:
                                    type: integer
                                    minimum: 1
                            required:
                              - aggregator
                              - window
                          shiftAmount:
                            type: integer
                          shiftUnit:
                            type: string
                            enum:
                              - DAY
                              - WEEK
                              - MONTH
                        required:
                          - type
                          - metricId
                          - aggregator
                          - name
                          - colorIndex
                          - chartType
                      - type: object
                        properties:
                          type:
                            type: string
                            enum:
                              - cost
                          groupBy:
                            anyOf:
                              - type: string
                              - type: array
                                items:
                                  type: string
                                  minLength: 1
                              - nullable: true
                                type: string
                                enum:
                                  - null
                          aggregator:
                            type: string
                            enum:
                              - SUM
                              - AVG
                              - MAX
                              - MIN
                          currency:
                            type: string
                            enum:
                              - USD
                              - EUR
                              - GBP
                              - CNY
                          whereClause:
                            type: object
                            properties: {}
                            additionalProperties: {}
                          metricId:
                            type: string
                            enum:
                              - cost
                              - effective_cost
                              - list_cost
                              - contracted_cost
                              - unblended_cost
                              - net_unblended_cost
                              - amortized_cost
                              - net_amortized_cost
                          extendDashboardConditions:
                            type: boolean
                            default: true
                          name:
                            type: string
                          alias:
                            type: string
                            minLength: 1
                            maxLength: 50
                          reducer:
                            type: string
                            enum:
                              - SUM
                              - AVG
                              - MAX
                              - MIN
                          visible:
                            type: boolean
                            default: true
                          colorIndex:
                            type: number
                          chartType:
                            type: string
                            enum:
                              - BAR
                              - LINE
                              - AREA
                              - WATERFALL
                              - TABLE
                          colorPalette:
                            type: string
                            enum:
                              - DEFAULT
                              - PIYG
                              - RDYLBU
                              - CLASSIC
                            default: DEFAULT
                          rollingAggregation:
                            type: object
                            properties:
                              aggregator:
                                type: string
                                enum:
                                  - SUM
                                  - AVG
                                  - MAX
                                  - MIN
                              window:
                                type: object
                                properties:
                                  preset:
                                    type: string
                                    enum:
                                      - MONTH
                                      - WEEK
                                  relativeDays:
                                    type: integer
                                    minimum: 1
                            required:
                              - aggregator
                              - window
                          shiftAmount:
                            type: integer
                          shiftUnit:
                            type: string
                            enum:
                              - DAY
                              - WEEK
                              - MONTH
                        required:
                          - type
                          - aggregator
                          - whereClause
                          - name
                          - colorIndex
                          - chartType
                      - type: object
                        properties:
                          type:
                            type: string
                            enum:
                              - usage
                          whereClause:
                            type: object
                            properties: {}
                            additionalProperties: {}
                          aggregator:
                            type: string
                            enum:
                              - SUM
                              - AVG
                              - MAX
                              - MIN
                          groupBy:
                            anyOf:
                              - type: string
                              - type: array
                                items:
                                  type: string
                                  minLength: 1
                              - nullable: true
                                type: string
                                enum:
                                  - null
                          metricId:
                            type: string
                          name:
                            type: string
                          alias:
                            type: string
                            minLength: 1
                            maxLength: 50
                          reducer:
                            type: string
                            enum:
                              - SUM
                              - AVG
                              - MAX
                              - MIN
                          visible:
                            type: boolean
                            default: true
                          colorIndex:
                            type: number
                          chartType:
                            type: string
                            enum:
                              - BAR
                              - LINE
                              - AREA
                              - WATERFALL
                              - TABLE
                          colorPalette:
                            type: string
                            enum:
                              - DEFAULT
                              - PIYG
                              - RDYLBU
                              - CLASSIC
                            default: DEFAULT
                          rollingAggregation:
                            type: object
                            properties:
                              aggregator:
                                type: string
                                enum:
                                  - SUM
                                  - AVG
                                  - MAX
                                  - MIN
                              window:
                                type: object
                                properties:
                                  preset:
                                    type: string
                                    enum:
                                      - MONTH
                                      - WEEK
                                  relativeDays:
                                    type: integer
                                    minimum: 1
                            required:
                              - aggregator
                              - window
                          shiftAmount:
                            type: integer
                          shiftUnit:
                            type: string
                            enum:
                              - DAY
                              - WEEK
                              - MONTH
                        required:
                          - type
                          - whereClause
                          - aggregator
                          - metricId
                          - name
                          - colorIndex
                          - chartType
                      - type: object
                        properties:
                          type:
                            type: string
                            enum:
                              - budget
                          budgetId:
                            type: string
                          budgetLineId:
                            type: string
                          groupBy:
                            anyOf:
                              - type: string
                              - type: array
                                items:
                                  type: string
                                  minLength: 1
                              - nullable: true
                                type: string
                                enum:
                                  - null
                          name:
                            type: string
                          alias:
                            type: string
                            minLength: 1
                            maxLength: 50
                          virtualDimensionValue:
                            type: string
                          visible:
                            type: boolean
                            default: true
                          colorIndex:
                            type: number
                          chartType:
                            type: string
                            enum:
                              - BAR
                              - LINE
                              - AREA
                              - WATERFALL
                              - TABLE
                          colorPalette:
                            type: string
                            enum:
                              - DEFAULT
                              - PIYG
                              - RDYLBU
                              - CLASSIC
                            default: DEFAULT
                          rollingAggregation:
                            type: object
                            properties:
                              aggregator:
                                type: string
                                enum:
                                  - SUM
                                  - AVG
                                  - MAX
                                  - MIN
                              window:
                                type: object
                                properties:
                                  preset:
                                    type: string
                                    enum:
                                      - MONTH
                                      - WEEK
                                  relativeDays:
                                    type: integer
                                    minimum: 1
                            required:
                              - aggregator
                              - window
                          aggregator:
                            type: string
                            enum:
                              - SUM
                              - AVG
                              - MAX
                              - MIN
                            default: SUM
                        required:
                          - type
                          - budgetId
                          - name
                          - colorIndex
                          - chartType
                      - type: object
                        properties:
                          type:
                            type: string
                            enum:
                              - externalMetric
                          provider:
                            type: string
                            enum:
                              - tsuga
                              - bigquery
                              - datadog
                              - cloudwatch
                          integrationId:
                            type: string
                            minLength: 1
                            description: >-
                              External metric integration ID from
                              list_metrics(includeExternal: true).
                          metricName:
                            type: string
                            minLength: 1
                          aggregator:
                            type: string
                            enum:
                              - SUM
                              - AVG
                              - MAX
                              - MIN
                          groupByFields:
                            type: array
                            items:
                              type: string
                              minLength: 1
                            maxItems: 7
                            default: []
                          conditions:
                            type: string
                          dateColumn:
                            type: string
                            minLength: 1
                          metricColumn:
                            type: string
                            minLength: 1
                          gapFillingMethod:
                            type: string
                            enum:
                              - ZERO
                              - FORWARD_FILL
                              - LINEAR_INTERPOLATION
                              - SPREAD
                          name:
                            type: string
                          alias:
                            type: string
                            minLength: 1
                            maxLength: 50
                          visible:
                            type: boolean
                            default: true
                          colorIndex:
                            type: number
                          chartType:
                            type: string
                            enum:
                              - BAR
                              - LINE
                              - AREA
                              - WATERFALL
                              - TABLE
                          colorPalette:
                            type: string
                            enum:
                              - DEFAULT
                              - PIYG
                              - RDYLBU
                              - CLASSIC
                            default: DEFAULT
                          rollingAggregation:
                            type: object
                            properties:
                              aggregator:
                                type: string
                                enum:
                                  - SUM
                                  - AVG
                                  - MAX
                                  - MIN
                              window:
                                type: object
                                properties:
                                  preset:
                                    type: string
                                    enum:
                                      - MONTH
                                      - WEEK
                                  relativeDays:
                                    type: integer
                                    minimum: 1
                            required:
                              - aggregator
                              - window
                        required:
                          - type
                          - provider
                          - integrationId
                          - metricName
                          - aggregator
                          - name
                          - colorIndex
                          - chartType
                    discriminator:
                      propertyName: type
                eventsFilter:
                  type: object
                  properties:
                    githubSourceRepos:
                      type: array
                      items:
                        type: string
                      default: []
                    enableAllGithubRepos:
                      type: boolean
                    customBusinessEvents:
                      type: boolean
                      default: true
                    customTechnicalEvents:
                      type: boolean
                      default: true
                    labels:
                      type: array
                      items:
                        type: string
                      default: []
                    commitments:
                      type: boolean
                      default: false
                    reservations:
                      type: boolean
                      default: false
                    marketplacePurchases:
                      type: boolean
                      default: false
                    skuPriceChanges:
                      type: boolean
                      default: false
                    sources:
                      type: array
                      items:
                        type: string
                        enum:
                          - custom
                          - provider
                          - github
                          - api
                bookmarkedEvents:
                  type: array
                  items:
                    type: string
                scopeId:
                  type: string
                  nullable: true
                limitOverride:
                  type: integer
                  minimum: 1
                  maximum: 1000
              required:
                - period
                - queries
                - eventsFilter
                - bookmarkedEvents
          required:
            - alertForm
            - explorerRequest
      required:
        - id
        - name
        - description
        - type
        - icon
        - available
    Unauthorized:
      type: object
      properties:
        error:
          type: string
          description: Unauthorized error message
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT or Clerk ak_* API key
      description: >-
        Send `Authorization: Bearer <credential>` using either a Clerk session
        JWT or a Clerk API key (`ak_*`). API keys may identify a user (`user_*`)
        or organization (`org_*`) principal and are generated in the Clerk
        Dashboard under API keys.

````